Subject: Re: "submodule foreach" much slower than removed "submodule--helper --list"

From: Junio C Hamano <[email-masked]>
Date: Sat, 15 Oct 2022 11:16:06 -0700

Jeff King <[email-masked]> writes:

> Yeah, that's not too surprising that it's slower. It's exec-ing a bunch
> of shells to do that.
> ...
> I'm not sure if those are exactly equivalent, either. It looks like the
> old code was probably respecting submodule active markers (though in my
> test repo without the submodule actually checked out, it's still
> reported). There is probably room for a user-facing "git submodule list"
> command, but again, I don't really know enough about the space to say
> what it should report.

We could mimic "find" and make "foreach" that has no action default
to an equivalent of "echo" that is done internally without forking.